using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using LLBLGenTest.DatabaseSpecific;
using LLBLGenTest.HelperClasses;
using LLBLGenTest.FactoryClasses;
using Telerik.WinControls.UI;

namespace Sample_RadGridView_Example
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            EntityCollection masterList = new EntityCollection(new OrdersEntityFactory());
            EntityCollection detailsList = new EntityCollection(new OrderDetailsEntityFactory());

            DataAccessAdapter adapter = new DataAccessAdapter();
            adapter.FetchEntityCollection(masterList, null);
            adapter.FetchEntityCollection(detailsList, null);

            radGridView1.DataSource = masterList;

            GridViewTemplate template = new GridViewTemplate(this.radGridView1);
            template.DataSource = detailsList;
            this.radGridView1.MasterGridViewTemplate.ChildGridViewTemplates.Add(template);

            GridViewRelation relation = new GridViewRelation(this.radGridView1.MasterGridViewTemplate);
            relation.RelationName = "Orders";
            relation.ParentColumnNames.Add("OrderId");
            relation.ChildColumnNames.Add("OrderId");
            relation.ChildTemplate = template;
            this.radGridView1.Relations.Add(relation);

        }
    }
}